#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, x, a;
    int min, max;
    int i;
    scanf("%i %i", &n, &x);
    min=x;
    max=x;
    for(i=0;i<n;i++){
        scanf("%i", &a);
        if(a>max)
            max=a;
        else
        if(a<min)
            min=a;
    }

    if(x==min || x==max){
        a=max-min;
    }
    else{
        if(max-x>x-min){
            a=max-x+(x-min)*2;
        }
        else{
            a=(max-x)*2+x-min;
        }
    }
    printf("%i", a);
    return 0;
}